/** \file
*/

#ifndef ADC_H
#define ADC_H

/** \brief Used ADC channel 
*/
#define   CHANNEL  (3)     

extern volatile int iReadBufId;

enum
{
	/** \brief Number of data buffers used
	*/
	ADC_BUF_CNT = 3
};

/** \brief Data buffers used by ADC
*/
extern char ADCbuf[ADC_BUF_CNT][4096];

void ADCInit (void);
void ADCStart (void);
void IRQ_ADC(void)/* __attribute__ ((interrupt("IRQ")))*/;

#endif
